#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals

AUTHOR = 'Teckids e.V.'
SITENAME = "Hack'n'Fun"
SITEURL = ''
SITELOGO = f'{SITEURL}/theme/artwork/banner-hacknfun.svg'

STATIC_PATHS = ["static", "images"]
PATH = 'content'
OUTPUT_PATH = 'public'

TIMEZONE = 'Europe/Paris'

DEFAULT_LANG = 'de'

THEME = 'themes/teckids'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Navbar
MENUITEMS = [
    ('Home', 'index.html'),
    ('Freizeiten', 'pages/freizeiten.html'),
    ('Mitmach-Sessions','pages/mitmach-sessions.html'),
    ]

FOOTERMENU = (("Spenden", "https://www.teckids.org/pages/spenden.html"),
              ("Kontakt", "https://www.teckids.org/pages/kontakt.html"),
              ("Newsletter", "https://www.teckids.org/pages/newsletter.html"),
              ("Nutzungsbedingungen und Datenschutz", "https://www.teckids.org/pages/nutzungsbedingungen_datenschutz.html"),
              ("AGB für Freizeiten", "https://www.teckids.org/pages/agb_freizeiten.html"),
              ("Impressum", "https://www.teckids.org/pages/impressum.html")
             )

MINIFOOTER_MENU = (("Teckids e.V.", ""),
                   ("Rochusstraße 2", ""),
                   ("53123 Bonn", ""),
                   ("verein@teckids.org", "mailto:verein@teckids.org"),
                   ("+49 228 92934160", "tel:+49 228 92934160"))

I18N_SUBSITES = {
    "en": {
        "MENUITEMS": [
            ('Home', 'index_en.html'),
            ('News', 'archives.html'),
            ('Foo', [
                ('Bar', 'bar.html'),
                ('Beispiel', 'https://example.com'),
                ]),
            ('Bar', [
                ('Foobar', 'beispiel'),
                ('Barfoo', 'beispiel1.html'),
            ]),
        ]
    }
}

# Social widget
SOCIAL = (('You can add links in your config file', '#'),
          ('Another social link', '#'),)

DEFAULT_PAGINATION = 10

# CSS
CUSTOM_STYLESHEET = "{}/static/css/custom.css".format(SITEURL)

# Uncomment following line if you want document-relative URLs when developing
#RELATIVE_URLS = True

PRIMARY_DARK = "#327a00"
PRIMARY_LIGHT = "#55d100"
SECONDARY_DARK = "#00c5fa"
SECONDARY_LIGHT = "#015ebe"

SPONSOR_LOGOS = (("/images/sponsors/logo_pysv.png", "https://www.python-verband.org/"),
                 ("/images/sponsors/logo-speedpartner.png", "https://www.speedpartner.de/"),
                 ("/images/sponsors/logo_informatik-aktuell.png", "https://www.informatik-aktuell.de/"))

SPONSORSTEXTS = {
    "de": "Wir bedanken uns bei unseren Sponsoren für die Unterstützung unserer Vereinsarbeit. Außerdem freuen wir uns immer über weitere Sponsoren, die ihr Engagement mit ihrem Logo hier bewerben möchten!",
}

LICENCE_DEFAULT = "CC-BY-SA 4.0+"

LICENCETEXTS = {
    "de": "Dieser Inhalt ist, sofern nicht bei einzelnen Medien anders angegeben, lizenziert unter:",
    "en": "If not stated differently for single media, this content is licenced under:",
}
